function loadType12312(dataParent, questNum) {
    var htmlItemBoxStr = "";
    var data = eval("[" + dataParent.JsonStr + "]");

    //html模板
    var OkAnswer = ""; //正确答案
    var myAnswerStr = ""; //上次我选的答案
    //questionItem Start
    htmlItemBoxStr += "<div class='questionItem' questtype='" + data[0].questType + "' questionID='" + data[0].iD + "' id='itemBody" + data[0].iD + "'>";
    htmlItemBoxStr += "<div id='itembox_" + data[0].iD + "'";
    var shoucangStr = "收藏本题";
    if (dataParent.CollRecord == "1") {
        htmlItemBoxStr += " class='testbox testborder3' ";
        shoucangStr = "取消收藏";
    } else {
        htmlItemBoxStr += " class='testbox'";
    }
    htmlItemBoxStr += " onmouseover='onOver(this);' onmouseout='onOut(this);'>";
    htmlItemBoxStr += "<table width='100%' border='0' cellspacing='0' cellpadding='0'><tr><td class='box_lt_none' bid='box_lt'></th><td class='box_t_none' bid='box_t'></th><td class='box_rt_none'  bid='box_rt'></th></tr><tr><td class='box_lt_none'  bid='box_l'></td><td class='box_t_none'>"; //box_m_none Start

    //Table 标题和选项Start
    htmlItemBoxStr += "<TABLE class='onetable' width='95%' border='0' align='center' cellPadding='0' cellSpacing='0'>";
    htmlItemBoxStr += "<TR><TD class='TestMainTitle ueditor'><SPAN id='ID_" + data[0].iD + "_NoChildTable_0_1_Color'>" + questNum + "．" + ReplaceCode(data[0].titleHTML) + "</SPAN></TD></TR>";
    //标题以下Start
    htmlItemBoxStr += "<TR><TD class='TestContent ueditor' questID='" + data[0].iD + "'>";
    if (dataParent.TypeNo == "1" || dataParent.TypeNo == "2" || dataParent.TypeNo == "3") {
        for (var i = 0; i < data[0].options.length; i++) {
            myAnswerStr = ""; //清空
            if (dataParent.IsWX == "1") {
                if (dataParent.TypeNo == "1" || dataParent.TypeNo == "3") {
                    if (optiondata[i] == dataParent.doAnswer) {//doAnswer形如ABC
                        myAnswerStr = "checked='true'";
                    }
                } else {
                    var sonAnswerData = dataParent.doAnswer.toString().split("");
                    for (var q = 0; q < sonAnswerData.length; q++) {
                        if (optiondata[i] == sonAnswerData[q]) {
                            myAnswerStr = "checked='checked'";
                        }
                    }
                }
            }

            htmlItemBoxStr += "<div>";
            if (dataParent.TypeNo == "1" || dataParent.TypeNo == "3") { //单选题和判断题
                htmlItemBoxStr += "<input type='radio' id='ID_" + data[0].iD + "_NoChildTable_0_1_Reply_" + optiondata[i] + "' name='ID_" + data[0].iD + "_NoChildTable_0_1_Reply_'" + optiondata[i] + "  value='" + optiondata[i] + "' " + myAnswerStr + " />"
            } else if (dataParent.TypeNo == "2") {
                htmlItemBoxStr += "<input id='ID_" + data[0].iD + "_NoChildTable_0_1_Reply_" + optiondata[i] + "' type='CheckBox' name='ID_" + data[0].iD + "_NoChildTable_0_1_Reply_'" + optiondata[i] + " value='" + optiondata[i] + "' " + myAnswerStr + " />";
            }
            htmlItemBoxStr += "<label for='ID_" + data[0].iD + "_NoChildTable_0_1_Reply_" + optiondata[i] + "'>" + optiondata[i] + "．" + ReplaceCode(data[0].options[i].optionHtml) + "</label>";
            htmlItemBoxStr += "</div>";

            var dataAnswer = data[0].answerID.toString().split(',');
            for (var q = 0; q < dataAnswer.length; q++) {
                if (dataAnswer[q] == data[0].options[i].iD) {
                    OkAnswer += optiondata[i]; //正确答案
                    break;
                }
            }
        }
    } else if (dataParent.TypeNo == "12") {//问答题
        if (dataParent.IsWX == "1") {
            myAnswerStr = ReplaceCode(dataParent.doAnswer);
        }

        htmlItemBoxStr += "<div><textarea ID='textarea" + data[0].iD + "' style='width:620px;height:80px;border:1px solid gray;margin-top:10px;' >" + myAnswerStr + "</textarea></div>";
        OkAnswer = ReplaceCode(data[0].answer);
    }
    //标题以下End
    htmlItemBoxStr += "</TD></TR></TABLE>";
    //Table 标题和选项End

    //悬浮图标Start
    htmlItemBoxStr += "<TABLE width='95%' border='0' cellPadding='0' align='center' cellSpacing='0' id='ToolBar" + data[0].iD + "'><TR>  <TD class='TestToolBar' ><ul class='toolbar'><li><a class='ReplyError' style='cursor:pointer' onClick=\"CuoTiEven('" + data[0].iD + "')\"><span style='font-size:13px;line-height:22px;'>错题反馈</span></a></li>";
    htmlItemBoxStr += "<li><a class='UserNote' onClick=\"BijiEvent('" + data[0].iD + "','" + dataParent.Record + "')\" bijiID='" + data[0].iD + "' record='" + dataParent.Record + "' style='cursor:pointer'><span id='UserNote_" + data[0].iD + "' style='font-size:13px;line-height:22px;'>";
    if (dataParent.Record.toString().length > 0) {
        htmlItemBoxStr += "查看笔记";
    } else {
        htmlItemBoxStr += "添加笔记";
    }
    var DisplayAnswer = "<li id='HideKnowBtn_" + data[0].iD + "'><a class='KnowTest' style='cursor:pointer' onclick=\"ShowAnswer('" + data[0].iD + "')\"><span id='Knowid_" + data[0].iD + "' style='font-size:13px;line-height:22px;'>显示答案</span></a></li>"; //显示答案
    if (dataParent.testID == "1") {
        DisplayAnswer = "";
    }
    htmlItemBoxStr += "</span></a></li><li><a class='CollectTest' onclick=\"ShouCang('" + data[0].iD + "')\" style='cursor:pointer'><span id='ID_" + data[0].iD + "_NoChildTable_FavButton' style='font-size:13px;line-height:22px;'>" + shoucangStr + "</span></a></li>" + DisplayAnswer + "</ul></TD></TR></TABLE>";
    //悬浮图标 end

    //答案和解题思路 start
    htmlItemBoxStr += "<span class='InfoArea' id='ID_" + data[0].iD + "_Answer' style='display:none'>";
    htmlItemBoxStr += "<center><div class='Answer'><TABLE width='100%' border=0 align='center' cellPadding=0 cellSpacing=3><TR>  <TD class='HideAnswer ueditor'><div><div>正确答案：</div><div id='AnswerSpanABC" + data[0].iD + "'>" + OkAnswer + "</div></div>";
    if (dataParent.Thinking != "") {
        htmlItemBoxStr += "<div style='margin-top:12px;'><div>解题思路：</div><div>" + ReplaceCode(dataParent.Thinking) + "</div></div>";
    }
    if (dataParent.Record != "") {
        htmlItemBoxStr += "<div style='margin-top:12px;'><div>用户笔记：</div><div>" + dataParent.Record + "</div></div>";
    }
    htmlItemBoxStr += "</TD>"; //正确答案(未加解题思路)
    htmlItemBoxStr += "</TR></TABLE>";
    htmlItemBoxStr += "</div></center></span>";
    //答案和解题思路 end

    htmlItemBoxStr += "<td class='box_rt_none'  bid='box_r'></td></tr><tr><td class='box_lb_none' bid='box_lb'></td><td class='box_b_none'  bid='box_b'></td><td class='box_rb_none' bid='box_rb'></td></tr></table></div>";
    htmlItemBoxStr += "</div>";
    //questionItem End
    return htmlItemBoxStr;
}


function loadType27(dataParent, questNum) {
    //questionItem Start
    var htmlItemBoxStr = "";
    htmlItemBoxStr += "<div class='questionItem ' questtype='" + dataParent.TypeNo + "' questionID='" + dataParent.QCID + "' id='itemBody" + dataParent.QCID + "'>";
    htmlItemBoxStr += "<div id='itembox_" + dataParent.QCID + "'";
    var shoucangStr = "收藏本题";
    if (dataParent.CollRecord == "1") {
        htmlItemBoxStr += " class='testbox testborder3' ";
        shoucangStr = "取消收藏";
    } else {
        htmlItemBoxStr += " class='testbox'";
    }
    htmlItemBoxStr += " onmouseover='onOver(this);' onmouseout='onOut(this);'>";
    htmlItemBoxStr += "<table width='100%' border='0' cellspacing='0' cellpadding='0'><tr><td class='box_lt_none' bid='box_lt'></td><td class='box_t_none' bid='box_t'></td><td class='box_rt_none'  bid='box_rt'></td></tr><tr><td class='box_lt_none'  bid='box_l'></td><td>";

    htmlItemBoxStr += "<TABLE class='onetable' width='95%' border='0' align='center' cellPadding='0' cellSpacing='0'>";
    htmlItemBoxStr += "<TR><TD class='TestMainTitle ueditor'><SPAN id='ID_" + dataParent.QCID + "_NoChildTable_0_1_Color'>" + questNum + "．" + ReplaceCode(dataParent.TitleHTML) + "</SPAN></TD></TR>";
    htmlItemBoxStr += "<TR><TD class='TestContent' questID='" + dataParent.QCID + "'>";
    htmlItemBoxStr += "<div style='margin-top:20px;'><a class='ReplyError' style='cursor:pointer;color:white;' onClick=\"ActionStart('" + dataParent.QCID + "')\"><span style='font-size:13px;line-height:22px;'>开始答题</span></a></div>";
    htmlItemBoxStr += "</TD></TR></TABLE>";


    //悬浮图标StartKnowTest
    htmlItemBoxStr += "<TABLE width='95%' border='0' cellPadding='0' align='center' cellSpacing='0' id='ToolBar" + dataParent.QCID + "'><TR>  <TD class='TestToolBar' ><ul class='toolbar'><li><a class='ReplyError' style='cursor:pointer' onClick=\"CuoTiEven('" + dataParent.QCID + "')\"><span style='font-size:13px;line-height:22px;'>错题反馈</span></a></li>";
    htmlItemBoxStr += "<li><a class='UserNote' onClick=\"BijiEvent('" + dataParent.QCID + "','" + dataParent.Record + "')\" bijiID='" + dataParent.QCID + "' record='" + dataParent.Record + "' style='cursor:pointer'><span id='UserNote_" + dataParent.QCID + "' style='font-size:13px;line-height:22px;'>";
    if (dataParent.Record.toString().length > 0) {
        htmlItemBoxStr += "查看笔记";
    } else {
        htmlItemBoxStr += "添加笔记";
    }

    var DisplayAnswer = "<li id='HideKnowBtn_" + dataParent.QCID + "'><a class='KnowTest' style='cursor:pointer' onclick=\"ShowAnswer('" + dataParent.QCID + "')\"><span id='Knowid_" + dataParent.QCID + "' style='font-size:13px;line-height:22px;'>显示答案</span></a></li>"; //显示答案
    if (dataParent.testID == "1") {
        DisplayAnswer = "";
    }

    htmlItemBoxStr += "</span></a></li><li><a class='CollectTest' onclick=\"ShouCang('" + dataParent.QCID + "')\" style='cursor:pointer'><span id='ID_" + dataParent.QCID + "_NoChildTable_FavButton' style='font-size:13px;line-height:22px;'>" + shoucangStr + "</span></a></li>" + DisplayAnswer + "</ul></TD></TR></TABLE>";
    //悬浮图标 end

    //答案和解题思路 start
    htmlItemBoxStr += "<span class='InfoArea ueditor' id='ID_" + dataParent.QCID + "_Answer' style='display:none'>";
    htmlItemBoxStr += "<center><div class='Answer'><TABLE width='100%' border=0 align='center' cellPadding=0 cellSpacing=3><TR>  <TD class='HideAnswer'>";
    if (dataParent.Thinking != "") {
        htmlItemBoxStr += "<div style='margin-top:12px;'><div>解题思路：</div><div>" + ReplaceCode(dataParent.Thinking) + "</div></div>";
    }
    if (dataParent.Record != "") {
        htmlItemBoxStr += "<div style='margin-top:12px;'><div>用户笔记：</div><div>" + dataParent.Record + "</div></div>";
    }
    htmlItemBoxStr += "</TD>"; //正确答案(未加解题思路)
    htmlItemBoxStr += "</TR></TABLE>";
    htmlItemBoxStr += "</div></center></span>";
    //答案和解题思路 end


    htmlItemBoxStr += "<td class='box_rt_none'  bid='box_r'></td></tr><tr><td class='box_lb_none' bid='box_lb'></td><td class='box_b_none'  bid='box_b'></td><td class='box_rb_none' bid='box_rb'></td></tr></table></div>";
    htmlItemBoxStr += "</TD></TR></TABLE>";
    htmlItemBoxStr += "</div>";
    return htmlItemBoxStr;
}


function loadType11(dataParent, questNum) {
    var htmlItemBoxStr = ""; //父题拼接字符串变量
    var OkAnswer = ""; //正确答案
    var xiaotiStr = ""; //子题拼接字符串变量

    //questionItem Start
    htmlItemBoxStr += "<div class='questionItem' questtype='" + dataParent.TypeNo + "' questionID='" + dataParent.QCID + "' id='itemBody" + dataParent.QCID + "'>";
    htmlItemBoxStr += "<div id='itembox_" + dataParent.QCID + "'";
    var shoucangStr = "收藏本题";
    if (dataParent.CollRecord == "1") {
        htmlItemBoxStr += " class='testbox testborder3' ";
        shoucangStr = "取消收藏";
    } else {
        htmlItemBoxStr += " class='testbox'";
    }
    htmlItemBoxStr += " onmouseover='onOver(this);' onmouseout='onOut(this);'>";
    htmlItemBoxStr += "<table width='100%' border='0' cellspacing='0' cellpadding='0'><tr><td class='box_lt_none' bid='box_lt'></th><td class='box_t_none' bid='box_t'></th><td class='box_rt_none'  bid='box_rt'></th></tr><tr><td class='box_l_none'  bid='box_l'></td><td class='box_m_none'>";

    var titleHTML = ""; //标题
    if (dataParent.TitleHTML != "") {
        titleHTML = "<div>" + ReplaceCode(dataParent.TitleHTML) + "</div>";
    }

    //Table 标题和选项Start
    htmlItemBoxStr += "<TABLE width='95%' border=0 align='center' cellPadding=0 cellSpacing=3>";
    htmlItemBoxStr += "<TR><TD class='TestMainTitle ueditor'><SPAN id='ID_" + dataParent.QCID + "_NoChildTable_0_1_Color'>" + questNum + "." + titleHTML + "</SPAN></TD></TR>"; //序号1根据循环自增
    //标题以下Start
    htmlItemBoxStr += "<TR><TD class='TestContent' questID='" + dataParent.QCID + "'>";
    var parentJson = eval("[" + dataParent.JsonStr + "]");
    if (parentJson[0].options != null) {
        for (var z = 0; z < parentJson[0].options.length; z++) {
            htmlItemBoxStr += "<div>" + optiondata[z] + "." + ReplaceCode(parentJson[0].options[z].optionHtml) + "</div>";
        }
    }

    //子题Start
    var xiaotiStr = ""; //小题字符串组合
    for (var u = 0; u < dataParent.SonList.length; u++) {
        //匹配答案
        var sonJsonData = eval("[" + dataParent.SonList[u].JsonStr + "]");
        var sonAnswerData = sonJsonData[0].answerID.toString().split(',');
        var sonAnswer = ""; //判断答案
        if (parentJson[0].options != null) {
            for (var z = 0; z < parentJson[0].options.length; z++) {
                for (var h = 0; h < sonAnswerData.length; h++) {
                    if (parentJson[0].options[z].iD == sonAnswerData[h]) {
                        sonAnswer += optiondata[z];
                        break;
                    }
                }
            }
        }
        OkAnswer += "("+(u+1) + ")." + sonAnswer + "，";//显示答案

        var selectStr = "<select><option value='0'>答案</option>"; //控件字符串
        for (var z = 0; z < parentJson[0].options.length; z++) {
            if (dataParent.SonList[u].IsWX == "1") {
                if (dataParent.SonList[u].doAnswer == optiondata[z]) {
                    selectStr += "<option value='" + optiondata[z] + "' selected = 'selected' >" + optiondata[z] + "</option>";
                }
            } else {
                selectStr += "<option value='" + optiondata[z] + "'>" + optiondata[z] + "</option>";
            }

        }
        selectStr += "</select>";

        xiaotiStr += "<tr id='itemBody" + dataParent.SonList[u].QCID + "'><td class='selectQues ueditor' id='itemBodyTD" + dataParent.SonList[u].QCID + "' questID='" + dataParent.SonList[u].QCID + "'><div sonQuestionID='" + dataParent.SonList[u].QCID + "' OKAnswer='" + ReplaceCode(sonAnswer) + "'>" + selectStr +"("+(u+1) + ")." + ReplaceCode(dataParent.SonList[0].TitleHTML) + "</div></td></tr>";
    }
    if (OkAnswer != "") {
        OkAnswer = OkAnswer.substring(0, OkAnswer.length - 1);
    }
    //子题End


    htmlItemBoxStr += xiaotiStr;
    //标题以下End
    htmlItemBoxStr += "</TD></TR></TABLE>";
    //Table 标题和选项End



    htmlItemBoxStr += "<div style='text-align:center;'>";
    htmlItemBoxStr += "<TABLE width='95%' border=0 cellPadding=0 cellSpacing=0 id='ToolBar" + dataParent.QCID + "'><TR>  <TD class='TestToolBar' ><ul class='toolbar'><li><a class='ReplyError' style='cursor:pointer' onClick=\"CuoTiEven('" + dataParent.QCID + "')\"><span style='font-size:13px;line-height:22px;'>错题反馈</span></a></li>";
    htmlItemBoxStr += "<li><a class='UserNote' onClick=\"BijiEvent('" + dataParent.QCID + "','" + dataParent.Record + "')\" bijiID='" + dataParent.QCID + "' record='" + dataParent.Record + "' style='cursor:pointer'><span id='UserNote_" + dataParent.QCID + "' style='font-size:13px;line-height:22px;'>";
    if (dataParent.Record.toString().length > 0) {
        htmlItemBoxStr += "查看笔记";
    } else {
        htmlItemBoxStr += "添加笔记";
    }

    var DisplayAnswer = "<li id='HideKnowBtn_" + dataParent.QCID + "'><a class='KnowTest' style='cursor:pointer' onclick=\"ShowAnswer('" + dataParent.QCID + "')\"><span id='Knowid_" + dataParent.QCID + "' style='font-size:13px;line-height:22px;'>显示答案</span></a></li>"; //显示答案
    if (dataParent.testID == "1") {
        DisplayAnswer = "";
    }

    htmlItemBoxStr += "</span></a></li><li><a class='CollectTest' onclick=\"ShouCang('" + dataParent.QCID + "')\" style='cursor:pointer'><span id='ID_" + dataParent.QCID + "_NoChildTable_FavButton' style='font-size:13px;line-height:22px;'>" + shoucangStr + "</span></a></li>" + DisplayAnswer + "</ul></TD></TR></TABLE></div>";

    htmlItemBoxStr += "<span class='InfoArea' id='ID_" + dataParent.QCID + "_Answer' style='display:none'><center><div class='Answer'><TABLE width='100%' border=0 align='center' cellPadding=0 cellSpacing=3><TR>  <TD class='HideAnswer ueditor'><div><div>正确答案：</div><div id='AnswerSpanABC" + dataParent.QCID + "'>" + ReplaceCode(OkAnswer) + "</div><div>";
    if (dataParent.Thinking != "") {
        htmlItemBoxStr += "<div style='margin-top:12px;'><div>解题思路：</div><div>" + ReplaceCode(dataParent.Thinking) + "</div></div>";
    }
    if (dataParent.Record != "") {
        htmlItemBoxStr += "<div style='margin-top:12px;'><div>用户笔记：</div><div>" + dataParent.Record + "</div></div>";
    }
    htmlItemBoxStr += "</TD>";

    htmlItemBoxStr += "</TR></TABLE></div></center></span>";
    htmlItemBoxStr += "</td><td class='box_r_none'  bid='box_r'></td></tr><tr><td class='box_lb_none' bid='box_lb'></td><td class='box_b_none'  bid='box_b'></td><td class='box_rb_none' bid='box_rb'></td></tr></table></div>";
    htmlItemBoxStr += "</div>";
    //questionItem End
    return htmlItemBoxStr;
}


function loadType9(dataParent, questNum) {
    var htmlItemBoxStr = ""; //父题拼接字符串变量
    var OkAnswer = ""; //正确答案
    var xiaotiStr = ""; //子题拼接字符串变量
    //questionItem Start
    htmlItemBoxStr += "<div class='questionItem' questtype='" + dataParent.TypeNo + "' questionID='" + dataParent.QCID + "' id='itemBody" + dataParent.QCID + "'>";
    htmlItemBoxStr += "<div id='itembox_" + dataParent.QCID + "'";
    var shoucangStr = "收藏本题";
    if (dataParent.CollRecord == "1") {
        htmlItemBoxStr += " class='testbox testborder3' ";
        shoucangStr = "取消收藏";
    } else {
        htmlItemBoxStr += " class='testbox'";
    }
    htmlItemBoxStr += " onmouseover='onOver(this);' onmouseout='onOut(this);'>";
    htmlItemBoxStr += "<table width='100%' border='0' cellspacing='0' cellpadding='0'><tr><td class='box_lt_none' bid='box_lt'></th><td class='box_t_none' bid='box_t'></th><td class='box_rt_none'  bid='box_rt'></th></tr><tr><td class='box_l_none'  bid='box_l'></td><td class='box_m_none'>";

    //Table 标题和选项Start
    htmlItemBoxStr += "<TABLE width='95%' border='0' align='center' cellPadding='0' cellSpacing='0'>";
    htmlItemBoxStr += "<TR><TD class='TestMainTitle ueditor'><SPAN id='ID_" + dataParent.QCID + "_NoChildTable_0_1_Color'><div>" + questNum + "." + ReplaceCode(dataParent.TitleHTML) + "</div></SPAN></TD></TR>";
    //标题以下Start
    htmlItemBoxStr += "<TR><TD>";
    //子题Start
    xiaotiStr += "<div style='margin-top:10px;'>";
    for (var i = 0; i < dataParent.SonList.length; i++) {
        var myAnswerStr = ""; //上次我选的答案
        var sonQuestionStr = ""; //子题拼接字符串
        var sonJsonData = eval("[" + dataParent.SonList[i].JsonStr + "]");
        var sonAnswer = ""; //子题答案
        var modeTemp = '1'; //子题题型为30时答案的判断模式

        //这里是标题，但是为了让28这种题型题号跟填写项连在一起就写在上面了
        if (dataParent.TypeNo == "9") {
            xiaotiStr += "<table class='sonquestionItem' id='sonquestItem" + dataParent.SonList[i].QCID + "'><tr id='itemBody" + dataParent.SonList[i].QCID + "'><td class='selectQues ueditor' id='itemBodyTD" + dataParent.SonList[i].QCID + "' questID='" + dataParent.SonList[i].QCID + "'>(" + (i+1) + ")." + ReplaceCode(dataParent.SonList[i].TitleHTML) + "</td></tr>";
        } else if (dataParent.TypeNo == "28") {
            if (dataParent.SonList[i].TypeNo == "29") {
                sonQuestionStr += "<div class='account_item_9'><input type='text' class=\"AccountOneValue inputBox\" /></div>";
                OkAnswer += "<div>(" + (i+1) + ").&nbsp;" + sonJsonData[0].answer[0].One + "</div>"; //answer为问答题的json字段
                sonAnswer = sonJsonData[0].answer[0].One;
            } else if (dataParent.SonList[i].TypeNo == "30") {
                sonQuestionStr += "<div class='account_item_9' style='margin-bottom:5px;display:block;'>" + AccountingConf + "</div>"; //加载AcountingConf数据。

                var showSonAnswer = "<div>(" + (i+1) + ").</div>"; //用来显示的答案
                modeTemp = sonJsonData[0].mode;
                for (var w = 0; w < sonJsonData[0].answer.length; w++) {
                    var tempSubName = "";
                    var tempSubSplit = sonJsonData[0].answer[w].Two.split('|');
                    $(".ddlTwo").eq(0).find("option").each(function (k, v) {
                        var optionValueSplit = $(v).val().split('|');
                        if (optionValueSplit[0] == tempSubSplit[0]) {
                            tempSubName = $(v).html().replace(new RegExp("-", "gm"), "");
                            return false;
                        }
                    });
                    if (tempSubSplit.length > 1) {
                        tempSubName = $(".ddlTwo").eq(0).find("option[value='" + tempSubSplit[1] + "']").text().replace(new RegExp("-", "gm"), "") + "--" + tempSubName;
                    }

                    sonAnswer += sonJsonData[0].answer[w].One + "," + sonJsonData[0].answer[w].Two + "," + sonJsonData[0].answer[w].Three + "*";
                    showSonAnswer += "<div>" + sonJsonData[0].answer[w].One + "&nbsp;&nbsp;" + tempSubName + "&nbsp;&nbsp;" + sonJsonData[0].answer[w].Three + "</div>";
                }
                sonAnswer = sonAnswer.substring(0, sonAnswer.length - 1); //截取最后一个
                OkAnswer += showSonAnswer; //answer为问答题的json字段
            }
            

            xiaotiStr += "<table class='sonquestionItem' id='sonquestItem" + dataParent.SonList[i].QCID + "'><tr id='itemBody" + dataParent.SonList[i].QCID + "'><td class='selectQues ueditor' id='itemBodyTD" + dataParent.SonList[i].QCID + "' questID='" + dataParent.SonList[i].QCID + "' mode='" + modeTemp + "'></td></tr>"; //标题这里为空

            xiaotiStr += "<TR><TD class='TestContent' id='itemBodyTD2" + dataParent.SonList[i].QCID + "' questID='" + dataParent.SonList[i].QCID + "' OkAnswer='" + ReplaceCode(sonAnswer) + "' sonquesttype='" + dataParent.SonList[i].TypeNo + "' mode='" + modeTemp + "'>";
            xiaotiStr += "<div style='float:left;width:20px;'>(" + (i + 1) + ").</div><div style='float:left;width:600px;'>" + sonQuestionStr + "</div></TD></TR></table>";
        }


        if (dataParent.TypeNo == "9") {
            if (dataParent.SonList[i].TypeNo == "1" || dataParent.SonList[i].TypeNo == "2" || dataParent.SonList[i].TypeNo == "3") {
                for (var x = 0; x < sonJsonData[0].options.length; x++) {
                    myAnswerStr = ""; //清空
                    sonQuestionStr += "<div class='sonQuestionList'>";
                    if (dataParent.SonList[i].TypeNo == "1" || dataParent.SonList[i].TypeNo == "3") { //单选题和判断题
                        if (dataParent.SonList[i].IsWX == "1") {
                            if (optiondata[x] == dataParent.SonList[i].doAnswer) {
                                myAnswerStr = "checked='true'";
                            }
                        }
                        sonQuestionStr += "<input type='radio' id='ID_" + dataParent.SonList[i].QCID + "_NoChildTable_0_1_Reply_" + optiondata[x] + "' name='ID_" + dataParent.SonList[i].QCID + "_NoChildTable_0_1_Reply_'" + optiondata[x] + " value='" + optiondata[x] + "' " + myAnswerStr + " />";
                    } else if (dataParent.SonList[i].TypeNo == "2") {
                        if (dataParent.SonList[i].IsWX == "1") {
                            var sonAnswerData = dataParent.SonList[i].doAnswer.toString().split("");
                            for (var q = 0; q < sonAnswerData.length; q++) {
                                if (optiondata[x] == sonAnswerData[q]) {
                                    myAnswerStr = "checked='checked'";
                                }
                            }
                        }
                        sonQuestionStr += "<input type='CheckBox' id='ID_" + dataParent.SonList[i].QCID + "_NoChildTable_0_1_Reply_" + optiondata[x] + "' name='ID_" + dataParent.SonList[i].QCID + "_NoChildTable_0_1_Reply_'" + optiondata[x] + " value='" + optiondata[x] + "' " + myAnswerStr + " />";
                    }
                    sonQuestionStr += "<label for='ID_" + dataParent.SonList[i].QCID + "_NoChildTable_0_1_Reply_" + optiondata[x] + "'>" + optiondata[x] + "．" + ReplaceCode(sonJsonData[0].options
                        [x].optionHtml) + "</label>";
                    sonQuestionStr += "</div>";

                    var dataAnswer = sonJsonData[0].answerID.toString().split(',');
                    for (var q = 0; q < dataAnswer.length; q++) {
                        if (dataAnswer[q] == sonJsonData[0].options[x].iD) {
                            sonAnswer += optiondata[x]; //正确答案
                            break;
                        }
                    }
                }


                OkAnswer += "("+(i+1) + ")." + sonAnswer + "，";

            } else if (dataParent.SonList[i].TypeNo == "12") {
                if (dataParent.SonList[i].IsWX == "1") {
                    myAnswerStr = ReplaceCode(dataParent.SonList[i].doAnswer);
                }
                sonQuestionStr += "<div class='sonQuestionList'><textarea ID='textarea" + dataParent.SonList[i].QCID + "' style='width:620px;height:80px;border:1px solid gray;margin-top:10px;' >" + myAnswerStr + "</textarea></div>";
                OkAnswer += "("+(i+1) + ")." + sonJsonData[0].answer + "，"; //answer为问答题的json字段
                sonAnswer = sonJsonData[0].answer;
            }
            xiaotiStr += "<TR><TD class='TestContent' questID='" + dataParent.SonList[i].QCID + "' OkAnswer='" + ReplaceCode(sonAnswer) + "' sonquesttype='" + dataParent.SonList[i].TypeNo + "'>";
            xiaotiStr += sonQuestionStr + "</TD></TR></table>";
        }
    }
    xiaotiStr += "</div>";

    if (dataParent.TypeNo == "9") {
        if (OkAnswer != "") {
            OkAnswer = OkAnswer.substring(0, OkAnswer.length - 1);
        }
    }
    //子题End
    htmlItemBoxStr += xiaotiStr;
    //标题以下End
    htmlItemBoxStr += "</TD></TR></TABLE>";
    //Table 标题和选项End


    //悬浮图标Start
    htmlItemBoxStr += "<TABLE width='95%' align='center' border=0 cellPadding=0 cellSpacing=0 id='ToolBar" + dataParent.QCID + "'><TR>  <TD class='TestToolBar' ><ul class='toolbar'><li><a class='ReplyError' style='cursor:pointer' onClick=\"CuoTiEven('" + dataParent.QCID + "')\"><span style='font-size:13px;line-height:22px;'>错题反馈</span></a></li>";
    htmlItemBoxStr += "<li><a class='UserNote' onClick=\"BijiEvent('" + dataParent.QCID + "','" + dataParent.Record + "')\" bijiID='" + dataParent.QCID + "' record='" + dataParent.Record + "' style='cursor:pointer'><span id='UserNote_" + dataParent.QCID + "' style='font-size:13px;line-height:22px;'>";
    if (dataParent.Record.toString().length > 0) {
        htmlItemBoxStr += "查看笔记";
    } else {
        htmlItemBoxStr += "添加笔记";
    }

    var DisplayAnswer = "<li id='HideKnowBtn_" + dataParent.QCID + "'><a class='KnowTest' style='cursor:pointer' onclick=\"ShowAnswer('" + dataParent.QCID + "')\"><span id='Knowid_" + dataParent.QCID + "' style='font-size:13px;line-height:22px;'>显示答案</span></a></li>"; //显示答案
    if (dataParent.testID == "1") {
        DisplayAnswer = "";
    }

    htmlItemBoxStr += "</span></a></li><li><a class='CollectTest' onclick=\"ShouCang('" + dataParent.QCID + "')\" style='cursor:pointer'><span id='ID_" + dataParent.QCID + "_NoChildTable_FavButton' style='font-size:13px;line-height:22px;'>" + shoucangStr + "</span></a></li>" + DisplayAnswer + "</ul></TD></TR></TABLE>";
    //悬浮图标End

    //答案和解题思路Start
    htmlItemBoxStr += "<span class='InfoArea' id='ID_" + dataParent.QCID + "_Answer' style='display:none'><center><div class='Answer'><TABLE width='100%' border=0 align='center' cellPadding=0 cellSpacing=3><TR>  <TD class='HideAnswer ueditor'><div><div>正确答案：</div><div id='AnswerSpanABC" + dataParent.QCID + "'>" + ReplaceCode(OkAnswer) + "</div><div>";
    if (dataParent.Thinking != "") {
        htmlItemBoxStr += "<div style='margin-top:12px;'><div>解题思路：</div><div>" + ReplaceCode(dataParent.Thinking) + "</div></div>";
    }
    if (dataParent.Record != "") {
        htmlItemBoxStr += "<div style='margin-top:12px;'><div>用户笔记：</div><div>" + dataParent.Record + "</div></div>";
    }
    htmlItemBoxStr += "</TD>";

    htmlItemBoxStr += "</TR></TABLE></div></center></span>";
    //答案和解题思路End

    htmlItemBoxStr += "</td><td class='box_r_none'  bid='box_r'></td></tr><tr><td class='box_lb_none' bid='box_lb'></td><td class='box_b_none'  bid='box_b'></td><td class='box_rb_none' bid='box_rb'></td></tr></table></div>";
    htmlItemBoxStr += "</div>";
    //questionItem End

    return htmlItemBoxStr;
}